Bug 744814

Summary: dnsmasq breaks IPv6 virtual networks in libvirt
Product: [Fedora] Fedora Reporter: Trever Adams <trever>
Component: dnsmasqAssignee: Tomas Hozza <thozza>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 16CC: aquini, dougsland, itamar, me, veillard
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-19 06:47:11 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Trever Adams 2011-10-10 11:03:36 EDT
Description of problem:
dnsmasq: no interface with address (IPv6 address)
I get the following with my hosts that worked fine in Fedora 15. This keeps the virtual nets from starting and therefore the hosts.

Version-Release number of selected component (if applicable):
libvirt-0.9.6-2.fc16.x86_64
dnsmasq-2.58-2.fc16.x86_64
Comment 1 Trever Adams 2011-10-17 02:15:11 EDT
This is a very serious and very annoying regression. IPv6 is starting to be used. I use it heavily and depend on it.

https://bugs.launchpad.net/ubuntu/+source/libvirt/+bug/862136

The url above provides more information about what is going on. The patch in comment #10 appears to be correct. That or libvirt needs to set the bridge devices to active for dnsmasq to work correctly (comment #5).
Comment 2 Trever Adams 2011-10-17 02:18:53 EDT
In the url https://bbs.archlinux.org/viewtopic.php?id=123855 mentioned on the above page it mentions some information that makes me very much believe that this is another manifestation of bug #727924.
Comment 3 Trever Adams 2011-10-17 02:44:10 EDT
Ok, this is a bug in libvirt and company, not dnsmasq.

Sorry if this is an overly simplistic view, I haven't been able to dig into libvirt.

It appears libvirt is doing the following:
Create Bridge (virbrX)
Start dnsmasq on bridge
Create network(s) (vnetX) and attach them to bridge
Start virutal machine

With the patch in the kernel to not activate a bridge until a device is attached, this doesn't work. Whether or not this patch to the kernel (from 2.3.38 or thereabouts) is removed or not, should not the following work and work well?

Create Bridge
Create networks and attach to bridge
Start dnsmasq
Start virutal machine

I don't believe dnsmasq is needed except by virtual machines. For the non-error case, isn't this simply a matter of just changing the order of a few lines of code? In the error case, obviously it requires the removal of all the virtual networks, which in the old method, would not have existed yet.
Comment 4 Trever Adams 2011-10-17 02:54:46 EDT
Or, to keep the order of things, create a dummy device and attach it to the bridge, once dnsmasq is started and the virtual networks started, remove the dummy device. This might be the smaller change set.
Comment 5 Alexei Panov 2011-10-27 12:46:50 EDT
Guys, dnsmasq 2.59 was fixed this bug.
Proof link: http://thekelleys.org.uk/dnsmasq/CHANGELOG
I've checked this.
Comment 6 Fedora Update System 2011-10-28 08:52:59 EDT
dnsmasq-2.59-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dnsmasq-2.59-2.fc16
Comment 7 Alexei Panov 2011-10-28 14:07:57 EDT
Package dnsmasq-2.59-2 has fix this bug for me.
Thanks!
Comment 8 Douglas Schilling Landgraf 2011-10-28 14:17:11 EDT
Thank you Alexei!

Cheers
Douglas
Comment 9 Trever Adams 2011-10-28 15:56:14 EDT
I concur. I believe this fixes the problem fully. Thank you very much!
Comment 10 Douglas Schilling Landgraf 2011-10-28 16:08:00 EDT
Thank you Trever for the report/test!

Cheers
Douglas
Comment 11 Fedora Update System 2011-10-28 17:30:04 EDT
Package dnsmasq-2.59-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnsmasq-2.59-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15013
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-02-09 21:15:00 EST
dnsmasq-2.59-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/dnsmasq-2.59-3.fc16
Comment 13 Fedora Update System 2012-03-17 19:33:24 EDT
dnsmasq-2.59-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Trever Adams 2012-06-18 14:23:05 EDT
This has largely fixed the problem. Occasionally it still happens.
Comment 15 Fedora Admin XMLRPC Client 2012-10-22 09:21:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.